import React from 'react';
export declare type JsonObject = {
    [key: string]: JsonObject;
} | string | number | boolean | null;
interface JsonStyle {
    booleanStyle?: React.CSSProperties;
    braceStyle?: React.CSSProperties;
    bracketStyle?: React.CSSProperties;
    commaStyle?: React.CSSProperties;
    falseStyle?: React.CSSProperties;
    nullStyle?: React.CSSProperties;
    numberStyle?: React.CSSProperties;
    propertyStyle?: React.CSSProperties;
    stringStyle?: React.CSSProperties;
    style?: React.CSSProperties;
    tabSpaceStyle?: React.CSSProperties;
    trueStyle?: React.CSSProperties;
}
interface JsonClassName {
    booleanClassName?: string;
    braceClassName?: string;
    bracketClassName?: string;
    className?: string;
    commaClassName?: string;
    falseClassName?: string;
    nullClassName?: string;
    numberClassName?: string;
    propertyClassName?: string;
    stringClassName?: string;
    tabSpaceClassName?: string;
    trueClassName?: string;
}
interface JsonFormatterProps {
    json: string;
    jsonClassName?: JsonClassName;
    jsonStyle?: JsonStyle;
    tabWith?: number;
}
export default function JsonFormatter({ json, tabWith, jsonStyle: { booleanStyle, braceStyle, bracketStyle, commaStyle, falseStyle, nullStyle, numberStyle, propertyStyle, stringStyle, style, tabSpaceStyle, trueStyle }, jsonClassName: { booleanClassName, braceClassName, bracketClassName, className, commaClassName, falseClassName, nullClassName, numberClassName, propertyClassName, stringClassName, tabSpaceClassName, trueClassName } }: JsonFormatterProps): JSX.Element;
export {};
